@import url("https://fonts.googleapis.com/css2?family=Urbanist:ital,wght@0,100..900;1,100..900&display=swap");
body {
  margin: 0;
  font-family: Arial, sans-serif;
  overflow: hidden;
}

.container {
  position: relative;
  width: 300px;
  height: 600px;
  overflow: hidden;
  border: 1px solid #000;
  box-sizing: border-box;
  opacity: 0;
  /* visibility: hidden; */
  /* top: 100px;
    left: 100px; */
}
canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 300px;
  height: 600px;
  z-index: 2;
  touch-action: none;
  cursor: grab;
}

canvas.dragging {
  cursor: grabbing;
}

video {
  position: absolute;
  width: 1px;
  height: 1px;
  top: -9999px;
  left: -9999px;
}
.intro-container {
  /* width: 100%;
    height: 100%; */
  width: 300px;
  height: 600px;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 99;
}
.video-mask-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  pointer-events: none;
}
#videoElement {
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
  /* z-index: 2; */
  -webkit-mask-image: url();
  mask-image: url();
  -webkit-mask-size: 300px 600px;
  mask-size: 300px 600px;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  width: 300px;
  height: 600px;
  will-change:
    mask-image,
    -webkit-mask-image;
  pointer-events: auto;
  image-rendering: auto;
  /* transform: translateZ(0); */
  /* z-index: 100; */
}

.peel {
  width: 100%;
  height: 100%;
}
.peel-top,
.peel-back,
.peel-bottom {
  text-align: center;
}

.peel-top {
}

.peel-back {
  background-color: #9b9b9b;
}

.peel-bottom {
  color: #eaefe0;
  background-color: #000;
}
.peel {
  position: relative;
  opacity: 0;
}

.peel-ready {
  opacity: 1;
}
.peel-layer {
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  -webkit-transform-origin: top left;
  -moz-transform-origin: top left;
  transform-origin: top left;
}
.logo-container {
  width: 100%;
  height: 55px;
  position: absolute;
  cursor: pointer;
}
.logo {
  position: absolute;
  pointer-events: none;
}
.logo img {
  width: 300px;
  height: 250px;
}
.logo-click {
  position: absolute;
  bottom: 0;
  right: 0;
  z-index: 10;
  width: 116px;
  height: 80px;
  cursor: pointer;
}
video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.splide__slide img {
  /* width: 100%; */
}
.slider-container,
.slider-inner-container {
  width: 100%;
  height: 100%;
  position: relative;
  overflow: hidden;
}
.slider-container {
  background-color: #000;
}
.slider-inner-container {
  background-color: #004411;
}
.image-carousels {
  width: 100%;
  height: 100%;
  top: 0;
}
.splide__pagination__page.is-active {
  transform: none !important;
}
.splide__pagination__page.is-active {
  background: #fff !important;
}
.splide__arrow svg {
  height: 0.8em !important;
  width: 0.8em !important;
}
.splide__arrow {
  opacity: 1 !important;
  filter: drop-shadow(2px 2px 5px rgba(0, 0, 0, 0.8));
  transition: opacity 0.5s ease-in-out;
}
.splide__arrow::before {
  content: "";
  position: absolute;
  top: -10px;
  left: -15px;
  right: -15px;
  bottom: -10px;
}
.splide__arrow:hover {
  opacity: 0.8 !important;
}
.splide__arrow--next {
  right: 0.5em !important;
}
.splide__arrow--prev {
  left: 0.5em !important;
}
.splide__arrow:disabled {
  opacity: 0.5 !important;
  cursor: unset;
}
.splide__pagination__page.is-active {
  background: #ffffff !important;
}

.splide__pagination__page {
  background: #555252 !important;
  opacity: 1 !important;
}
.dragArea {
  position: absolute;
  width: 100px;
  height: 100px;
  background-color: rgba(255, 255, 255, 0);
  bottom: 0px;
  right: 0px;
  z-index: 55;
  cursor: grab;
  display: none;
}
.dragArea:active {
  cursor: grabbing;
}
.clickArea {
  position: absolute;
  width: 300px;
  height: 250px;
  background-color: rgba(255, 255, 255, 0);
  top: 0px;
  left: 0px;
  z-index: 50;
  cursor: pointer;
  display: none;
}
.image-content {
  cursor: pointer;
  width: 298px;
  height: 248px;
}
.image-container {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
}
.image-content .image-container img {
  width: 300px;
}
.logo img {
  position: absolute;
  z-index: 10;
  left: 0;
  right: 0;
  margin: auto;
  bottom: 0;
}
.texts img {
  position: absolute;
  z-index: 10;
  left: 0;
  right: 0;
  margin: auto;
  top: 0;
  bottom: 0;
}
.cta img {
  max-width: 300px;
  position: absolute;
  z-index: 10;
  left: 0;
  right: 0;
  margin: auto;
  top: 0;
  bottom: 0;
}
.cta .cta-not-hover {
  opacity: 1;
  z-index: 1;
}
.cta .cta-hover {
  opacity: 0;
  z-index: 2;
}
.image {
  transition: transform 0.3s ease-in-out;
  will-change: transform;
}
.image.scale-up {
  transform: scale(1.07);
}
/* LOTTIE PLAYER */
.lottie-container {
  position: absolute;
  width: 65px;
  height: 65px;
  top: 60%;
  left: 0;
  z-index: 100;
  pointer-events: none;
  opacity: 1;
}
.lottie-container-wrapper {
  width: 100%;
  height: 100%;
  border-radius: 0 50% 50% 0;
  background: #000; /* Circle background color */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  opacity: 0.75;
}
dotlottie-player {
  width: 90%;
  height: 90%;
  border-radius: 50%;
  overflow: hidden;
  left: -3px;
  right: 0;
  position: relative;
  margin: auto;
  top: -4%;
}
.lottie-text {
  position: absolute;
  bottom: 20%;
  left: 43%;
  transform: translateX(-50%);
  font-size: 9px;
  color: white;
  text-align: center;
  pointer-events: none;
  letter-spacing: 0.5px;
  font-family: "Poppins", sans-serif;
}
.reveal-container {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
.reveal-bg {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-image: url(../img/reveal-bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
}
.reveal-logo {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-image: url(../img/reveal-logo.png);
  background-size: contain;
  background-repeat: no-repeat;
  position: absolute;
}
.wheel-container {
  position: absolute;
  width: 100%;
  bottom: 0;
  height: 299px;
}
.wheel-wrapper {
  position: relative;
  height: 90%;
  aspect-ratio: 1 / 1;
  left: 5%;
  z-index: 22;
  top: 7%;
}

.wheel {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: url("../img/wheel.png") center/cover no-repeat;
  transition: transform 4s cubic-bezier(0.33, 1, 0.68, 1);
}

.pointer {
  position: absolute;
  top: -3%;
  left: 50%;
  transform: translateX(-50%);
  width: 10%;
  height: auto;
  z-index: 10;
  pointer-events: none;
}

.spin-btn {
  position: absolute;
  inset: 0;
  margin: auto;
  width: 18%;
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  border: none;
  background: transparent;
  cursor: pointer;
}
.START {
  position: absolute;
  bottom: -1px;
  width: 100%;
  height: 299px;
  z-index: 33;
  background: rgb(0 0 0 / 66%);
  cursor: pointer;
}
.START img {
  max-width: 100%;
  transition: transform 0.3s ease; /* smooth scaling */
}
.START:hover img {
  transform: scale(1.05); /* scale image 10% on hover */
}
.result-img {
  opacity: 0;
  transform: scale(0.5);
  position: absolute;
  width: 100%;
  top: 0;
  z-index: 44;
}
.result-container {
  background: rgb(0 0 0 / 66%);
  z-index: 43;
  position: absolute;
  width: 100%;
  top: 0;
  height: 100%;
  display: none;
}
#downloadBtn {
  pointer-events: none;
  opacity: 0;
  top: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  cursor: pointer;
  z-index: 55;
}
#tryagain {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  cursor: pointer;
  display: none;
  z-index: 55;
}
.content-texts {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-image: url(../img/texts.png);
  background-size: contain;
  background-repeat: no-repeat;
  position: absolute;
}
.find-a-store {
  position: absolute;
  top: 223px;
  left: 0;
  right: 0;
  margin: auto;
  width: 150px;
  height: 45px;
  cursor: pointer;
}
.find-a-store img {
  max-width: 100%;
  transition: transform 0.3s ease; /* smooth scaling */
}
.find-a-store:hover img {
  transform: scale(1.05); /* scale image 10% on hover */
}
